#include <lib/std.mi>
#include "attribs.m"

function setObjects(int w);

Global Group frameGroup, gX1,gX2,gX3,gX4,display,displaytimer,displayticker,displayvis;
Global Button btnCloseDrawer,btnOpenDrawer,shadeeq;
Global Layout main;
Global Layout main_normal;

System.onScriptLoaded() {
	initAttribs();

	frameGroup = getScriptGroup();
	main = frameGroup.getParentLayout();
	main_normal = frameGroup.getParentLayout().getContainer().getLayout("normal");
	gX1 = frameGroup.findObject("shadeX1");
	gX2 = frameGroup.findObject("shadeX2");
	gX3 = frameGroup.findObject("shadeX3");
	gX4 = frameGroup.findObject("shadeX4");
	shadeeq = frameGroup.findObject("shadeeq");
	display = frameGroup.findObject("shadedisplay");
	displaytimer = frameGroup.findObject("shadetimer");
	displayticker = frameGroup.findObject("shadeticker");
	displayvis = frameGroup.findObject("shadevis");
}

frameGroup.onResize(int x, int y, int w, int h) {
  setObjects(w);
}

shadeeq.onLeftClick() {
  eq_visible_attrib.setData("1");
}

setObjects(int w) {

	gX1.hide();
	gX2.hide();
	gX3.hide();
	gX4.hide();
	display.hide();
	displaytimer.hide();
	displayticker.hide();
	displayvis.hide();

	if (w>400) {
		int w_display=w-356;
		if (w_display>130) w_display=130;

		displaytimer.show();

		if (w>420) {
			displayticker.show();
			displayticker.setXMLParam("w", integertostring(w_display));
		}


		if (w>525) {
			int x_gX1="430";
			gX1.setXMLParam("x", integertostring(x_gX1));
			gX1.setXMLParam("relatx", "0");
			gX1.show();

			if (w>549) {
				int x_gX2="472";
				gX2.setXMLParam("x", integertostring(x_gX2));
				gX2.setXMLParam("relatx", "0");
				gX2.show();

				if (w>592) {
					int x_gX3="495";
					gX3.setXMLParam("x", integertostring(x_gX3));
					gX3.setXMLParam("relatx", "0");
					gX3.show();

					if (w>668) {

  					x_gX1=-237;
  					x_gX2=-195;
  					x_gX3=-174;
  					int x_gX4=-130;

  					gX1.setXMLParam("x", integertostring(x_gX1));
						gX1.setXMLParam("relatx", "1");

  					gX2.setXMLParam("x", integertostring(x_gX2));
						gX2.setXMLParam("relatx", "1");

  					gX3.setXMLParam("x", integertostring(x_gX3));
						gX3.setXMLParam("relatx", "1");

						gX4.setXMLParam("x", integertostring(x_gX4));
						gX4.setXMLParam("relatx", "1");
						gX4.show();

						w_display=w-538;

						displayticker.setXMLParam("w", integertostring(w_display));

						if (w>728) {
							displayvis.setXMLParam("x", integertostring(-301));
							displayvis.setXMLParam("relatx", "1");
							displayvis.show();
							displayticker.setXMLParam("w", integertostring(w_display-55));
						}



					}

				}
			}
		}


		display.setXMLParam("w", integertostring(w_display));
		display.show();

	}



}

System.onKeyDown(String key) {
  if (key == "ctrl+w" && (main.isActive() || main_normal.isActive())) {
    if (main.isVisible())
      main.getContainer().switchToLayout("normal");
    else
      main.getContainer().switchToLayout("shade");
    complete;
  }
}

